Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class WebContainerAvailabilityConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.WebContainerAvailabilityConfigKeys

public final class WebContainerAvailabilityConfigKeys
extends java.lang.Object

Parameters used by `AvailabilityServiceConfig` when creating a new <web-container-availability> element.

See Also:
  `AvailabilityServiceConfig`

Field Summary
`static java.lang.String` | `HTTP_SESSION_STORE_POOL_NAME_KEY`
`static java.lang.String` | `PERSISTENCE_FREQUENCY_KEY` See `SessionSaveFrequencyValues`.
`static java.lang.String` | `PERSISTENCE_SCOPE_KEY` See `SessionSaveScopeValues`.
`static java.lang.String` | `PERSISTENCE_STORE_HEALTH_CHECK_ENABLED_KEY`
`static java.lang.String` | `PERSISTENCE_TYPE_KEY` See `PersistenceTypeValues`.
`static java.lang.String` | `SSO_FAILOVER_ENABLED_KEY`
`static java.lang.String` | `WEB_CONTAINER_AVAILABILITY_ENABLED_KEY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEB_CONTAINER_AVAILABILITY_ENABLED_KEY

    public static final java.lang.String WEB_CONTAINER_AVAILABILITY_ENABLED_KEY

See Also:
  Constant Field Values

### PERSISTENCE_TYPE_KEY

    public static final java.lang.String PERSISTENCE_TYPE_KEY

  See `PersistenceTypeValues`.

  See Also:
    Constant Field Values

### PERSISTENCE_FREQUENCY_KEY

    public static final java.lang.String PERSISTENCE_FREQUENCY_KEY

  See `SessionSaveFrequencyValues`.

  See Also:
    Constant Field Values

### PERSISTENCE_SCOPE_KEY

    public static final java.lang.String PERSISTENCE_SCOPE_KEY

  See `SessionSaveScopeValues`.

  See Also:
    Constant Field Values

### PERSISTENCE_STORE_HEALTH_CHECK_ENABLED_KEY

    public static final java.lang.String PERSISTENCE_STORE_HEALTH_CHECK_ENABLED_KEY

See Also:
  Constant Field Values

### SSO_FAILOVER_ENABLED_KEY

    public static final java.lang.String SSO_FAILOVER_ENABLED_KEY

See Also:
  Constant Field Values

### HTTP_SESSION_STORE_POOL_NAME_KEY

    public static final java.lang.String HTTP_SESSION_STORE_POOL_NAME_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.